System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Xml.Serialization.SchemaImporter

The class is used by the Web Services Description Language Tool (Wsdl.exe) and the class while generating client proxy classes or abstract server classes from a Web Services Description Language (WSDL) document. The class is also used by the Web Services Description Language Tool (Wsdl.exe) while generating classes from XML Schema Definition (XSD) documents. Instead of using this class directly, use Wsdl.exe or Xsd.exe.

The class has methods to generate internal mappings to .NET Framework types for elements defined in an XSD document or as parts in a WSDL document. The following list shows when the class is used by Wsdl.exe:

A WSDL document specifies literal use, where the content of SOAP message parameters and return values (or request and response documents) is literally specified with XML schema definitions.

A WSDL document specifies the .NET Framework's non-SOAP implementations of Web services via the HTTP-GET and HTTP-POST operations.

Generates internal mappings to .NET Framework types for XML schema element declarations, including literal XSD message parts in a WSDL document.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use this constructor when a WSDL document specifies that the data is serialized according to a schema (<soap:body use = 'literal' />).

  Instead of directly creating an instance of the class, use Wsdl.exe or Xsd.exe.

  Initializes a new instance of the class, taking a collection of objects representing the XML schemas used by SOAP literal messages defined in a WSDL document.

  A collection of objects.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use this constructor when a WSDL document specifies that the data is serialized according to a schema (<soap:body use = 'literal' />).

  Instead of directly creating an instance of the class, use Wsdl.exe or Xsd.exe.

  Initializes a new instance of the class, taking a collection of objects that represents the XML schemas used by SOAP literal messages, plus classes being generated for bindings defined in a Web Services Description Language (WSDL) document.

  An object.
  A object that specifies a collection of classes being generated for bindings defined in a WSDL document.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class for a collection of XML schemas, using the specified code generation options and import context.

  A collection of objects.
  A enumeration that specifies code generation options.
  A instance that specifies the import context.
- Constructor
  2.0.0.0
  4.0.0.0

  Use this constructor when a WSDL document specifies that the data is serialized according to a schema (<soap:body use = 'literal' />).

  Instead of directly creating an instance of the XmlSchemaImporter class, use Wsdl.exe or Xsd.exe.

  Initializes a new instance of the class, taking a collection of objects that represents the XML schemas used by SOAP literal messages, plus classes being generated for bindings defined in a WSDL document, and a enumeration value.

  A collection of objects.
  A object that specifies a collection of classes being generated for bindings defined in a WSDL document.
  A bitwise combination of the values that specifies the options to use when generating .NET Framework types for a Web service.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  A collection of objects.
  A bitwise combination of the values that specifies the options to use when generating .NET Framework types for a Web service.
  A used to generate the serialization code.
  A instance that specifies the import context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping `` ``

  The method is used by the Wsdl.exe tool while generating client proxy classes or abstract server classes from a Web Services Description Language (WSDL) document. Instead of calling this method directly, use Wsdl.exe or Xsd.exe.

  The class is used only when a WSDL document specifies literal use. The method is used when a WSDL message has a single part element but the part has not been identified as a wrapper element.

  Generates internal type mapping information for a single, (SOAP) literal element part defined in a WSDL document.

  An representing the .NET Framework type mapping for a single element part of a WSDL message definition.

  An that specifies the name of an element's type for which a .NET Framework type is generated. The name of the part element in the WSDL document.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlTypeMapping `` ``

  This overload of the method is used by the Xsd.exe tool to generate classes from an XML Schema Definition (XSD) document. Instead of calling this method directly, use Xsd.exe.

  Generates internal type mapping information for an element defined in an XML schema document.

  An representing the.NET Framework type mapping information for an XML schema element.

  An that specifies the name of an element defined in an XML schema document. A base type for the .NET Framework type that is generated to correspond to an XSD element's type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlTypeMapping `` `` ``

  This overload of the method is used by the Xsd.exe tool to generate classes from an XML Schema Definition (XSD) document. It also is used by the Wsdl.exe tool while generating client proxy classes or abstract server classes from a Web Services Description Language (WSDL) document. Instead of calling this method directly, use Wsdl.exe or Xsd.exe.

  Generates internal type mapping information for an element defined in an XML schema document or as a part in a WSDL document.

  The .NET Framework type mapping information for an XML schema element.

  An that specifies the name of an element defined in an XML schema document. A base type for the .NET Framework type that is generated to correspond to an XSD element's type. true to indicate that the type corresponding to an XSD element can indirectly inherit from the base type; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping ``

  The method of the class is used by the Wsdl.exe tool while generating client proxy classes or abstract server classes from a Web Services Description Language (WSDL) document. Instead of calling this method directly, use Wsdl.exe or Xsd.exe.

  The class is used only when a WSDL document specifies literal use. This overload is used when a WSDL message is wrapped within a single part element.

  Generates internal type mapping information for a single element part of a literal-use SOAP message defined in a WSDL document.

  The .NET Framework type mapping for a WSDL message definition containing a single element part.

  An that specifies the name of the message part.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping ``

  The method is used by the Wsdl.exe tool while generating client proxy classes or abstract server classes from a Web Services Description Language (WSDL) document. Instead of calling this method directly, use Wsdl.exe or Xsd.exe.

  The class is used only when a WSDL document specifies literal use. The value of the parameter contains the qualified names of the parts elements under a message definition in a WSDL document.

  This method does not account for the part elements' types.

  Generates internal type mapping information for the element parts of a literal-use SOAP message defined in a WSDL document.

  An that represents the .NET Framework type mappings for the element parts of a WSDL message definition.

  An array of type that specifies the names of the message parts.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping `` `` `` To be added.

  Generates internal type mapping information for the element parts of a literal-use SOAP message defined in a WSDL document.

  A that contains type mapping information.

  The name of the element for which to generate a mapping. The namespace of the element for which to generate a mapping. An array of instances that specifies the members of the element for which to generate a mapping.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping `` `` ``

  The method is used by the Wsdl.exe tool while generating client proxy classes or abstract server classes from a Web Services Description Language (WSDL) document. Instead of calling this method directly, use Wsdl.exe or Xsd.exe.

  The class is used only when a WSDL document specifies literal use. The value of the parameter contains the qualified names of the parts elements under a message definition in a WSDL document.

  This method does not account for the part elements' types.

  Generates internal type mapping information for the element parts of a literal-use SOAP message defined in a WSDL document.

  The .NET Framework type mappings for the element parts of a WSDL message definition.

  An array of type that specifies the names of the message parts. A base type for all .NET Framework types that are generated to correspond to message parts. true to indicate that the types corresponding to message parts can indirectly inherit from the base type; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlTypeMapping `` To be added.

  Generates internal type mapping information for an element defined in an XML schema document.

  A object that describes a type mapping.

  A that specifies an XML element.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlTypeMapping `` `` To be added.

  Generates internal type mapping information for an element defined in an XML schema document.

  A object that describes a type mapping.

  A that specifies an XML element. A object that specifies a base type.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlTypeMapping `` `` `` To be added.

  Generates internal type mapping information for an element defined in an XML schema document.

  A object that describes a type mapping.

  A that specifies an XML element. A object that specifies a base type. A value that specifies whether the generated type can indirectly inherit the .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlTypeMapping ``

  The method is used by the Xsd.exe tool while generating classes XML Schema Definition (XSD) document. Instead of calling this method directly, use Xsd.exe.

  This method does not account for the XML schema element's type.

  Generates internal type mapping information for an element defined in an XML schema document.

  The .NET Framework type mapping information for an XML schema element.

  An that specifies the name of an element defined in an XML schema document.